All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.geometry
Class HorizontalOrientation

    com.sas.geometry.HorizontalOrientation

    public abstract class HorizontalOrientation

HorizontalOrientation defines a set of constants for identifying a horizontal position and a method for determining whether a given integer is one of them.

See Also:
  `Orientations`, `Orientation`, `CircularOrientation`, `CornerOrientation`, `RectangularOrientation`, `SideOrientation`, `VerticalOrientation`

Field Summary
`static int` | `CENTER`
`static int` | `CENTER_LEFT`
`static int` | `CENTER_RIGHT`
`static int` | `FULL`
`static int` | `GENERAL`
`static int` | `LEFT`
`static int` | `RIGHT`

Constructor Summary
`HorizontalOrientation()`

Method Summary
`static boolean` | `validate(int orientation)` Determines whether a given integer value is one of the defined orientations or a combination thereof.

Field Detail

### LEFT

    public static final int LEFT

See Also:
  Constant Field Values

### CENTER

    public static final int CENTER

See Also:
  Constant Field Values

### RIGHT

    public static final int RIGHT

See Also:
  Constant Field Values

### FULL

    public static final int FULL

See Also:
  Constant Field Values

### GENERAL

    public static final int GENERAL

See Also:
  Constant Field Values

### CENTER_LEFT

    public static final int CENTER_LEFT

See Also:
  Constant Field Values

### CENTER_RIGHT

    public static final int CENTER_RIGHT

See Also:
  Constant Field Values

Constructor Detail

### HorizontalOrientation

    public HorizontalOrientation()

Method Detail

### validate

    public static boolean validate(int orientation)

  Determines whether a given integer value is one of the defined orientations or a combination thereof.

  Parameters:
    `orientation` - The integer value to validate.
  Returns:
    true if orientation is one of the defined ones and false otherwise.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.